--- old/usr/src/cmd/mdb/test/mtest.sh	Sun Mar  8 05:04:25 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,235 +0,0 @@
-#!/bin/bash
-#
-# This file and its contents are supplied under the terms of the
-# Common Development and Distribution License ("CDDL"), version 1.0.
-# You may only use this file in accordance with the terms of version
-# 1.0 of the CDDL.
-#
-# A full copy of the text of the CDDL should have accompanied this
-# source.  A copy of the CDDL is also available via the Internet at
-# http://www.illumos.org/license/CDDL.
-#
-
-#
-# Copyright 2012 (c), Joyent, Inc.
-#
-
-#
-# mdb test driver
-#
-unalias -a
-shopt -s xpg_echo
-#set -o xtrace
-
-mt_arg0=$(basename $0)
-mt_ksh="/usr/bin/ksh"
-mt_mdb="/usr/bin/mdb"
-mt_outdir=
-mt_keep=
-mt_all=
-mt_tests=
-mt_tnum=0
-mt_tfail=0
-mt_tsuc=0
-
-function usage
-{
-	local msg="$*"
-	[[ -z "$msg" ]] || echo "$msg" 2>&1
-	cat <<USAGE >&2
-Usage: $mt_arg0  [ -o dir ] [ -k ] [ -m executable ] [ -a | test ... ]
-
-	-o dir		Sets 'dir' as the output directory
-	-a		Runs all tests, ignores tests passed in
-	-k		Keep output from all tests, not just failures
-	-m 		mdb binary to test
-USAGE
-	exit 2
-}
-
-function fatal
-{
-	local msg="$*"
-	[[ -z "$msg" ]] && msg="failed"
-	echo "$mt_arg0: $msg" >&2
-	exit 1
-}
-
-function setup_outdir
-{
-	mt_outdir="$mt_outdir/$mt_arg0.$$"
-	mkdir -p $mt_outdir || fatal "failed to make output dir $mt_outdir"
-}
-
-function run_single
-{
-	local name=$1
-	local expect base ext exe command odir res reason input
-
-	[[ -z "$name" ]] && fail "missing test to run"
-	base=${name##*/}
-	ext=${base##*.}
-	expect=${base%%.*}
-	odir="$mt_outdir/current"
-	[[ -z "$ext" ]] && fatal "found test without ext: $name"
-	[[ -z "$expect" ]] && fatal "found test without prefix: $name"
-
-	case "$ext" in
-	"ksh")
-		command="$mt_ksh $name"
-		;;
-	"mdb")
-		command="$mt_mdb"
-		input="$name"
-		;;
-	"out")
-		#
-		# This is the file format for checking output against.
-		#
-		return 0
-		;;
-	*)
-		echo "skipping test $name (unknown extensino)"
-		return 0
-		;;
-	esac
-
-	echo "Executing test $name ... \c"
-	mkdir -p "$odir" >/dev/null || fatal "can't make output directory"
-	if [[ -z "$input" ]]; then
-		MDB=$mt_mdb $command > "$odir/stdout" 2>"$odir/stderr"
-		res=$?
-	else
-		MDB=$mt_mdb $command < $input > "$odir/stdout" 2>"$odir/stderr"
-		res=$?
-	fi
-
-	if [[ -f "$name.out" ]] && ! diff "$name.out" "$odir/stdout" >/dev/null; then
-		cp $name.out $odir/$base.out
-		reason="stdout mismatch"
-	elif [[ "$expect" == "tst" && $res -ne 0 ]]; then
-		reason="test exited $res, not zero"
-	elif [[ "$expect" == "err" && $res -eq 0 ]]; then
-		reason="test exited $res, not non-zero"
-	fi
-
-	if [[ -n "$reason" ]]; then
-		echo "$reason"
-		((mt_tfail++))
-		mv "$odir" "$mt_outdir/failure.$mt_tfail" || fatal \
-		    "failed to move test output directory"
-		cp "$name" "$mt_outdir/failure.$mt_tfail/test" || fatal \
-		    "failed to copy test into output directory"
-	else
-		echo "passed"
-		((mt_tsuc++))
-		mv "$odir" "$mt_outdir/success.$mt_tsuc" || fatal \
-		    "failed to move test directory"	
-	fi
-
-	((mt_tnum++))
-}
-
-function run_all
-{
-	local tests t
-	
-	tests=$(find . -type f -name '[tst,err]*.*.[ksh,mdb]*')
-	for t in $tests; do
-		run_single $t
-	done
-}
-
-function welcome
-{
-	cat <<WELCOME
-Starting tests...
-mtest target: $mt_mdb
-output directory: $mt_outdir
-WELCOME
-}
-
-function cleanup
-{
-	[[ -n "$mt_keep" ]] && return
-	rm -rf "$mt_outdir"/success.* || fatal \
-	     "failed to remove successful test cases"
-	if [[ $mt_tfail -eq 0 ]]; then
-		rmdir "$mt_outdir" || fatal \
-		    "failed to remove test output directory"
-	fi
-}
-
-function goodbye
-{
-	cat <<EOF
-
--------------
-Results
--------------
-
-Tests passed: $mt_tsuc
-Tests failed: $mt_tfail
-Tests ran:    $mt_tnum
-
-EOF
-	if [[ $mt_tfail  -eq 0 ]]; then
-		echo "Congrats, mdb isn't completely broken, the tests pass".
-	else
-		echo "Some tests failed, you have some work to do."
-	fi
-}
-
-while getopts ":ahko:m:" c $@; do
-	case "$c" in
-	a)
-		mt_all="y"
-		;;
-	k)
-		mt_keep="y"
-		;;
-	m)
-		mt_mdb="$OPTARG"
-		;;
-	o)
-		mt_outdir="$OPTARG"
-		;;
-	h)
-		usage
-		;;
-	:)
-		usage "option requires an argument -- $OPTARG"
-		;;
-	*)
-		usage "invalid option -- $OPTARG"
-		;;
-	esac
-done
-
-shift $((OPTIND-1))
-
-[[ -z "$mt_all" && $# == 0 ]] && usage "no tests to run"
-
-[[ -x "$mt_mdb" ]] || fatal "unable to execute mdb binary: $mt_mdb"
-
-[[ -z "$mt_outdir" ]] && mt_outdir=/var/tmp
-
-setup_outdir
-welcome
-
-if [[ ! -z "$mt_all" ]]; then
-	run_all
-else
-	for t in $@; do
-		[[ -f $t ]] || fatal "cannot find test $t"
-		run_single $t		
-	done
-fi
-
-goodbye
-cleanup
-
-#
-# Exit 1 if we have tests that return non-zero
-#
-[[ $mt_tfai -eq 0 ]]
--- old/usr/src/pkg/manifests/system-test-utiltest.mf	Sun Mar  8 05:04:25 2020
+++ new/usr/src/pkg/manifests/system-test-utiltest.mf	Sun Mar  8 05:04:25 2020
@@ -59,6 +59,11 @@
 dir path=opt/util-tests/tests/libcustr
 dir path=opt/util-tests/tests/libnvpair_json
 dir path=opt/util-tests/tests/libsff
+dir path=opt/util-tests/tests/mdb
+dir path=opt/util-tests/tests/mdb/exit-e
+dir path=opt/util-tests/tests/mdb/format
+dir path=opt/util-tests/tests/mdb/options
+dir path=opt/util-tests/tests/mdb/typedef
 dir path=opt/util-tests/tests/mergeq
 dir path=opt/util-tests/tests/sleep
 file path=opt/util-tests/README mode=0444
@@ -1468,6 +1473,95 @@
 file path=opt/util-tests/tests/libsff/libsff_wave mode=0555
 file path=opt/util-tests/tests/libsff/libsff_wave.out mode=0444
 file path=opt/util-tests/tests/make_test mode=0555
+file path=opt/util-tests/tests/mdb/exit-e/err.cmdbadopt.ksh mode=0444
+file path=opt/util-tests/tests/mdb/exit-e/err.enocmd.ksh mode=0444
+file path=opt/util-tests/tests/mdb/exit-e/err.nowrite.ksh mode=0444
+file path=opt/util-tests/tests/mdb/exit-e/err.unmapped.ksh mode=0444
+file path=opt/util-tests/tests/mdb/exit-e/tst.output.ksh mode=0444
+file path=opt/util-tests/tests/mdb/exit-e/tst.output.ksh.out mode=0444
+file path=opt/util-tests/tests/mdb/exit-e/tst.simple.ksh mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-cap-E.mdb mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-cap-E.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-cap-G.mdb mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-cap-G.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-cap-J.mdb mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-cap-J.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-cap-P.mdb mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-cap-P.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-cap-R.mdb mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-cap-R.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-e.mdb mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-e.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-g.mdb mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-g.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-j.mdb mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-j.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-p.mdb mode=0444
+file path=opt/util-tests/tests/mdb/format/tst.format-p.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/mdbtest mode=0555
+file path=opt/util-tests/tests/mdb/options/tst.autowrap.mdb mode=0444
+file path=opt/util-tests/tests/mdb/options/tst.autowrap.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badid-leadnum.ksh mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badid-leadschar.ksh mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badmodel.ksh mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badstruct-extrabraces.ksh \
+    mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badstruct-neglenarr.ksh \
+    mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badstruct-noarrayclose.ksh \
+    mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badstruct-noarraylen.ksh \
+    mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badstruct-noarrayopen.ksh \
+    mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badstruct-nobraces.ksh \
+    mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badstruct-noclosebrace.ksh \
+    mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badstruct-nomembers.ksh \
+    mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badstruct-nomemname.ksh \
+    mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badstruct-nomemsemi.ksh \
+    mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badstruct-noopenbrace.ksh \
+    mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badstruct-noquotes.ksh \
+    mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badstruct-repmemname.ksh \
+    mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badstruct-vlaonly.ksh mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badstruct-zerolenarr.ksh \
+    mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.badunion-hasvla.ksh mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.extraargs.ksh mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.noargs.ksh mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.nokeyword.ksh mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.nomodel.ksh mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.noname.ksh mode=0444
+file path=opt/util-tests/tests/mdb/typedef/err.typeexists.ksh mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.anonstruct.mdb mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.anonstruct.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.anonunion.mdb mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.anonunion.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.cleanupstruct.ksh mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.deftypes32.mdb mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.deftypes32.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.deftypes64.mdb mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.deftypes64.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.dellist.mdb mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.emptylist.mdb mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.libctype.ksh mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.libctype.ksh.out mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.models.ksh mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.struct.mdb mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.struct.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.structselfref.mdb mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.structselfref.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.structvla.mdb mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.structvla.mdb.out mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.union.mdb mode=0444
+file path=opt/util-tests/tests/mdb/typedef/tst.union.mdb.out mode=0444
 file path=opt/util-tests/tests/mergeq/mqt mode=0555
 file path=opt/util-tests/tests/mergeq/wqt mode=0555
 file path=opt/util-tests/tests/printf_test mode=0555
--- old/usr/src/test/util-tests/runfiles/default.run	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/runfiles/default.run	Sun Mar  8 05:04:25 2020
@@ -13,7 +13,7 @@
 # Copyright (c) 2012 by Delphix. All rights reserved.
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 # Copyright 2014 Nexenta Systems, Inc. All rights reserved.
-# Copyright 2019 Joyent, Inc.
+# Copyright 2020 Joyent, Inc.
 # Copyright 2019 OmniOS Community Edition (OmniOSce) Association.
 #
 
@@ -73,3 +73,7 @@
 
 [/opt/util-tests/tests/libcustr]
 tests = ['custr_remove', 'custr_trunc']
+
+[/opt/util-tests/tests/find/findtest]
+
+[/opt/util-tests/tests/mdb/mdbtest]
--- old/usr/src/test/util-tests/tests/Makefile	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/Makefile	Sun Mar  8 05:04:25 2020
@@ -20,6 +20,6 @@
 
 SUBDIRS = date dis dladm iconv libnvpair_json libsff printf xargs grep_xpg4
 SUBDIRS += demangle mergeq workq chown ctf smbios libjedec awk make sleep
-SUBDIRS += libcustr find
+SUBDIRS += libcustr find mdb
 
 include $(SRC)/test/Makefile.com
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/Makefile	Sun Mar  8 05:04:25 2020
@@ -0,0 +1,127 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2020 Joyent, Inc.
+#
+
+include $(SRC)/cmd/Makefile.cmd
+include $(SRC)/test/Makefile.com
+
+ROOTOPTPKG = $(ROOT)/opt/util-tests
+TESTDIR = $(ROOTOPTPKG)/tests/mdb
+
+PROG = mdbtest
+
+ROOTPROG = $(PROG:%=$(TESTDIR)/%)
+
+MAKEDIRS = \
+	exit-e \
+	format \
+	options \
+	typedef
+
+FILES = \
+	exit-e/err.cmdbadopt.ksh \
+	exit-e/err.enocmd.ksh \
+	exit-e/err.nowrite.ksh \
+	exit-e/err.unmapped.ksh \
+	exit-e/tst.output.ksh \
+	exit-e/tst.output.ksh.out \
+	exit-e/tst.simple.ksh \
+	format/tst.format-cap-E.mdb \
+	format/tst.format-cap-E.mdb.out \
+	format/tst.format-cap-G.mdb \
+	format/tst.format-cap-G.mdb.out \
+	format/tst.format-cap-J.mdb \
+	format/tst.format-cap-J.mdb.out \
+	format/tst.format-cap-P.mdb \
+	format/tst.format-cap-P.mdb.out \
+	format/tst.format-cap-R.mdb \
+	format/tst.format-cap-R.mdb.out \
+	format/tst.format-e.mdb \
+	format/tst.format-e.mdb.out \
+	format/tst.format-g.mdb \
+	format/tst.format-g.mdb.out \
+	format/tst.format-j.mdb \
+	format/tst.format-j.mdb.out \
+	format/tst.format-p.mdb \
+	format/tst.format-p.mdb.out \
+	options/tst.autowrap.mdb \
+	options/tst.autowrap.mdb.out \
+	typedef/err.badid-leadnum.ksh \
+	typedef/err.badid-leadschar.ksh \
+	typedef/err.badmodel.ksh \
+	typedef/err.badstruct-extrabraces.ksh \
+	typedef/err.badstruct-neglenarr.ksh \
+	typedef/err.badstruct-noarrayclose.ksh \
+	typedef/err.badstruct-noarraylen.ksh \
+	typedef/err.badstruct-noarrayopen.ksh \
+	typedef/err.badstruct-nobraces.ksh \
+	typedef/err.badstruct-noclosebrace.ksh \
+	typedef/err.badstruct-nomembers.ksh \
+	typedef/err.badstruct-nomemname.ksh \
+	typedef/err.badstruct-nomemsemi.ksh \
+	typedef/err.badstruct-noopenbrace.ksh \
+	typedef/err.badstruct-noquotes.ksh \
+	typedef/err.badstruct-repmemname.ksh \
+	typedef/err.badstruct-vlaonly.ksh \
+	typedef/err.badstruct-zerolenarr.ksh \
+	typedef/err.badunion-hasvla.ksh \
+	typedef/err.extraargs.ksh \
+	typedef/err.noargs.ksh \
+	typedef/err.nokeyword.ksh \
+	typedef/err.nomodel.ksh \
+	typedef/err.noname.ksh \
+	typedef/err.typeexists.ksh \
+	typedef/tst.anonstruct.mdb \
+	typedef/tst.anonstruct.mdb.out \
+	typedef/tst.anonunion.mdb \
+	typedef/tst.anonunion.mdb.out \
+	typedef/tst.cleanupstruct.ksh \
+	typedef/tst.deftypes32.mdb \
+	typedef/tst.deftypes32.mdb.out \
+	typedef/tst.deftypes64.mdb \
+	typedef/tst.deftypes64.mdb.out \
+	typedef/tst.dellist.mdb \
+	typedef/tst.emptylist.mdb \
+	typedef/tst.libctype.ksh \
+	typedef/tst.libctype.ksh.out \
+	typedef/tst.models.ksh \
+	typedef/tst.struct.mdb \
+	typedef/tst.struct.mdb.out \
+	typedef/tst.structselfref.mdb \
+	typedef/tst.structselfref.mdb.out \
+	typedef/tst.structvla.mdb \
+	typedef/tst.structvla.mdb.out \
+	typedef/tst.union.mdb \
+	typedef/tst.union.mdb.out \
+
+ROOTFILES = $(FILES:%=$(TESTDIR)/%)
+ROOTMAKEDIRS = $(MAKEDIRS:%=$(TESTDIR)/%)
+
+FILEMODE = 0444
+
+$(TESTDIR)/mdbtest := FILEMODE = 0555
+
+all:
+
+install: all $(ROOTFILES) $(ROOTPROG)
+
+clean clobber:
+
+$(ROOTFILES): $(TESTDIR) $(ROOTMAKEDIRS) $(FILES)
+
+$(TESTDIR) $(ROOTMAKEDIRS):
+	$(INS.dir)
+
+$(TESTDIR)/%: %
+	$(INS.file)
--- old/usr/src/cmd/mdb/test/README	Sun Mar  8 05:04:25 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,18 +0,0 @@
-MDB Test suite
-
-This provides a primordial version of a test suite for mdb. To run the tests,
-run mtest. Tests exist in various subdirectories. The name of the test is
-important.
-
-A test must start with either:
-
- o tst - Indicating that it should exit zero
- o err - Indicating that it should exit non-zero
-
-A test must end with either:
-
- o mdb - Indicating that the file should be passed as standard input to mdb
- o ksh - Indicating that it should be run with ksh
-
-A test may have an optional .out file which if present indicates that the test
-should pass if and only if its standard ouput matches its standar error.
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/README	Sun Mar  8 05:04:25 2020
@@ -0,0 +1,18 @@
+MDB Test suite
+
+This provides a primordial version of a test suite for mdb. To run the tests,
+run mtest. Tests exist in various subdirectories. The name of the test is
+important.
+
+A test must start with either:
+
+ o tst - Indicating that it should exit zero
+ o err - Indicating that it should exit non-zero
+
+A test must end with either:
+
+ o mdb - Indicating that the file should be passed as standard input to mdb
+ o ksh - Indicating that it should be run with ksh
+
+A test may have an optional .out file which if present indicates that the test
+should pass if and only if its standard ouput matches its standar error.
--- old/usr/src/cmd/mdb/test/exit-e/err.cmdbadopt.ksh	Sun Mar  8 05:04:25 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,2 +0,0 @@
-$MDB -e '::typegraph'
-exit $?
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/exit-e/err.cmdbadopt.ksh	Sun Mar  8 05:04:25 2020
@@ -0,0 +1,2 @@
+$MDB -e '::typegraph'
+exit $?
--- old/usr/src/cmd/mdb/test/exit-e/err.enocmd.ksh	Sun Mar  8 05:04:25 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,2 +0,0 @@
-$MDB -e '::commandthatdoesnotexist'
-exit $?
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/exit-e/err.enocmd.ksh	Sun Mar  8 05:04:25 2020
@@ -0,0 +1,2 @@
+$MDB -e '::commandthatdoesnotexist'
+exit $?
--- old/usr/src/cmd/mdb/test/exit-e/err.nowrite.ksh	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '0xbaddcafe/v 0x02'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/exit-e/err.nowrite.ksh	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,1 @@
+$MDB -e '0xbaddcafe/v 0x02'
--- old/usr/src/cmd/mdb/test/exit-e/err.unmapped.ksh	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '0x0/v 0x02' /bin/ls
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/exit-e/err.unmapped.ksh	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,1 @@
+$MDB -e '0x0/v 0x02' /bin/ls
--- old/usr/src/cmd/mdb/test/exit-e/tst.output.ksh	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '0t2 << 0t10=K'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/exit-e/tst.output.ksh	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,1 @@
+$MDB -e '0t2 << 0t10=K'
--- old/usr/src/cmd/mdb/test/exit-e/tst.output.ksh.out	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-                800             
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/exit-e/tst.output.ksh.out	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,1 @@
+                800             
--- old/usr/src/cmd/mdb/test/exit-e/tst.simple.ksh	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::dcmds'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/exit-e/tst.simple.ksh	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,1 @@
+$MDB -e '::dcmds'
--- old/usr/src/cmd/mdb/test/format/tst.format-cap-E.mdb	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,2 +0,0 @@
--1,10=E
-1<<0t63,10=E
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-cap-E.mdb	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,2 @@
+-1,10=E
+1<<0t63,10=E
--- old/usr/src/cmd/mdb/test/format/tst.format-cap-E.mdb.out	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,12 +0,0 @@
-                18446744073709551615 18446744073709551615 18446744073709551615 
-                18446744073709551615 18446744073709551615 18446744073709551615 
-                18446744073709551615 18446744073709551615 18446744073709551615 
-                18446744073709551615 18446744073709551615 18446744073709551615 
-                18446744073709551615 18446744073709551615 18446744073709551615 
-                18446744073709551615 
-                9223372036854775808  9223372036854775808  9223372036854775808  
-                9223372036854775808  9223372036854775808  9223372036854775808  
-                9223372036854775808  9223372036854775808  9223372036854775808  
-                9223372036854775808  9223372036854775808  9223372036854775808  
-                9223372036854775808  9223372036854775808  9223372036854775808  
-                9223372036854775808  
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-cap-E.mdb.out	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,12 @@
+                18446744073709551615 18446744073709551615 18446744073709551615 
+                18446744073709551615 18446744073709551615 18446744073709551615 
+                18446744073709551615 18446744073709551615 18446744073709551615 
+                18446744073709551615 18446744073709551615 18446744073709551615 
+                18446744073709551615 18446744073709551615 18446744073709551615 
+                18446744073709551615 
+                9223372036854775808  9223372036854775808  9223372036854775808  
+                9223372036854775808  9223372036854775808  9223372036854775808  
+                9223372036854775808  9223372036854775808  9223372036854775808  
+                9223372036854775808  9223372036854775808  9223372036854775808  
+                9223372036854775808  9223372036854775808  9223372036854775808  
+                9223372036854775808  
--- old/usr/src/cmd/mdb/test/format/tst.format-cap-G.mdb	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,4 +0,0 @@
--1,10=G
-1<<0t63,10=G
-1<<0t60,10=G
-1<<0t57,10=G
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-cap-G.mdb	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,4 @@
+-1,10=G
+1<<0t63,10=G
+1<<0t60,10=G
+1<<0t57,10=G
--- old/usr/src/cmd/mdb/test/format/tst.format-cap-G.mdb.out	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,32 +0,0 @@
-                1777777777777777777777 1777777777777777777777 
-                1777777777777777777777 1777777777777777777777 
-                1777777777777777777777 1777777777777777777777 
-                1777777777777777777777 1777777777777777777777 
-                1777777777777777777777 1777777777777777777777 
-                1777777777777777777777 1777777777777777777777 
-                1777777777777777777777 1777777777777777777777 
-                1777777777777777777777 1777777777777777777777 
-                1000000000000000000000 1000000000000000000000 
-                1000000000000000000000 1000000000000000000000 
-                1000000000000000000000 1000000000000000000000 
-                1000000000000000000000 1000000000000000000000 
-                1000000000000000000000 1000000000000000000000 
-                1000000000000000000000 1000000000000000000000 
-                1000000000000000000000 1000000000000000000000 
-                1000000000000000000000 1000000000000000000000 
-                100000000000000000000  100000000000000000000  
-                100000000000000000000  100000000000000000000  
-                100000000000000000000  100000000000000000000  
-                100000000000000000000  100000000000000000000  
-                100000000000000000000  100000000000000000000  
-                100000000000000000000  100000000000000000000  
-                100000000000000000000  100000000000000000000  
-                100000000000000000000  100000000000000000000  
-                10000000000000000000   10000000000000000000   
-                10000000000000000000   10000000000000000000   
-                10000000000000000000   10000000000000000000   
-                10000000000000000000   10000000000000000000   
-                10000000000000000000   10000000000000000000   
-                10000000000000000000   10000000000000000000   
-                10000000000000000000   10000000000000000000   
-                10000000000000000000   10000000000000000000   
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-cap-G.mdb.out	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,32 @@
+                1777777777777777777777 1777777777777777777777 
+                1777777777777777777777 1777777777777777777777 
+                1777777777777777777777 1777777777777777777777 
+                1777777777777777777777 1777777777777777777777 
+                1777777777777777777777 1777777777777777777777 
+                1777777777777777777777 1777777777777777777777 
+                1777777777777777777777 1777777777777777777777 
+                1777777777777777777777 1777777777777777777777 
+                1000000000000000000000 1000000000000000000000 
+                1000000000000000000000 1000000000000000000000 
+                1000000000000000000000 1000000000000000000000 
+                1000000000000000000000 1000000000000000000000 
+                1000000000000000000000 1000000000000000000000 
+                1000000000000000000000 1000000000000000000000 
+                1000000000000000000000 1000000000000000000000 
+                1000000000000000000000 1000000000000000000000 
+                100000000000000000000  100000000000000000000  
+                100000000000000000000  100000000000000000000  
+                100000000000000000000  100000000000000000000  
+                100000000000000000000  100000000000000000000  
+                100000000000000000000  100000000000000000000  
+                100000000000000000000  100000000000000000000  
+                100000000000000000000  100000000000000000000  
+                100000000000000000000  100000000000000000000  
+                10000000000000000000   10000000000000000000   
+                10000000000000000000   10000000000000000000   
+                10000000000000000000   10000000000000000000   
+                10000000000000000000   10000000000000000000   
+                10000000000000000000   10000000000000000000   
+                10000000000000000000   10000000000000000000   
+                10000000000000000000   10000000000000000000   
+                10000000000000000000   10000000000000000000   
--- old/usr/src/cmd/mdb/test/format/tst.format-cap-J.mdb	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,3 +0,0 @@
--1,10=J
-1<<0t63,10=J
-1<<0t59,10=J
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-cap-J.mdb	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,3 @@
+-1,10=J
+1<<0t63,10=J
+1<<0t59,10=J
--- old/usr/src/cmd/mdb/test/format/tst.format-cap-J.mdb.out	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,16 +0,0 @@
-                ffffffffffffffff ffffffffffffffff ffffffffffffffff 
-                ffffffffffffffff ffffffffffffffff ffffffffffffffff 
-                ffffffffffffffff ffffffffffffffff ffffffffffffffff 
-                ffffffffffffffff ffffffffffffffff ffffffffffffffff 
-                ffffffffffffffff ffffffffffffffff ffffffffffffffff 
-                ffffffffffffffff 
-                8000000000000000 8000000000000000 8000000000000000 
-                8000000000000000 8000000000000000 8000000000000000 
-                8000000000000000 8000000000000000 8000000000000000 
-                8000000000000000 8000000000000000 8000000000000000 
-                8000000000000000 8000000000000000 8000000000000000 
-                8000000000000000 
-                800000000000000 800000000000000 800000000000000 800000000000000
-                800000000000000 800000000000000 800000000000000 800000000000000
-                800000000000000 800000000000000 800000000000000 800000000000000
-                800000000000000 800000000000000 800000000000000 800000000000000
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-cap-J.mdb.out	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,16 @@
+                ffffffffffffffff ffffffffffffffff ffffffffffffffff 
+                ffffffffffffffff ffffffffffffffff ffffffffffffffff 
+                ffffffffffffffff ffffffffffffffff ffffffffffffffff 
+                ffffffffffffffff ffffffffffffffff ffffffffffffffff 
+                ffffffffffffffff ffffffffffffffff ffffffffffffffff 
+                ffffffffffffffff 
+                8000000000000000 8000000000000000 8000000000000000 
+                8000000000000000 8000000000000000 8000000000000000 
+                8000000000000000 8000000000000000 8000000000000000 
+                8000000000000000 8000000000000000 8000000000000000 
+                8000000000000000 8000000000000000 8000000000000000 
+                8000000000000000 
+                800000000000000 800000000000000 800000000000000 800000000000000
+                800000000000000 800000000000000 800000000000000 800000000000000
+                800000000000000 800000000000000 800000000000000 800000000000000
+                800000000000000 800000000000000 800000000000000 800000000000000
--- old/usr/src/cmd/mdb/test/format/tst.format-cap-P.mdb	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-1<<0t63,10=P
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-cap-P.mdb	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,1 @@
+1<<0t63,10=P
--- old/usr/src/cmd/mdb/test/format/tst.format-cap-P.mdb.out	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,6 +0,0 @@
-                0x8000000000000000 0x8000000000000000 0x8000000000000000 
-                0x8000000000000000 0x8000000000000000 0x8000000000000000 
-                0x8000000000000000 0x8000000000000000 0x8000000000000000 
-                0x8000000000000000 0x8000000000000000 0x8000000000000000 
-                0x8000000000000000 0x8000000000000000 0x8000000000000000 
-                0x8000000000000000 
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-cap-P.mdb.out	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,6 @@
+                0x8000000000000000 0x8000000000000000 0x8000000000000000 
+                0x8000000000000000 0x8000000000000000 0x8000000000000000 
+                0x8000000000000000 0x8000000000000000 0x8000000000000000 
+                0x8000000000000000 0x8000000000000000 0x8000000000000000 
+                0x8000000000000000 0x8000000000000000 0x8000000000000000 
+                0x8000000000000000 
--- old/usr/src/cmd/mdb/test/format/tst.format-cap-R.mdb	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,4 +0,0 @@
-1=RRRR
-1<<0t62=RRR
-1<<0t63=RRR
--1=RRRR
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-cap-R.mdb	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,4 @@
+1=RRRR
+1<<0t62=RRR
+1<<0t63=RRR
+-1=RRRR
--- old/usr/src/cmd/mdb/test/format/tst.format-cap-R.mdb.out	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,14 +0,0 @@
-                1
-                1
-                1
-                1
-                100000000000000000000000000000000000000000000000000000000000000
-                100000000000000000000000000000000000000000000000000000000000000
-                100000000000000000000000000000000000000000000000000000000000000
-                1000000000000000000000000000000000000000000000000000000000000000
-                1000000000000000000000000000000000000000000000000000000000000000
-                1000000000000000000000000000000000000000000000000000000000000000
-                1111111111111111111111111111111111111111111111111111111111111111
-                1111111111111111111111111111111111111111111111111111111111111111
-                1111111111111111111111111111111111111111111111111111111111111111
-                1111111111111111111111111111111111111111111111111111111111111111
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-cap-R.mdb.out	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,14 @@
+                1
+                1
+                1
+                1
+                100000000000000000000000000000000000000000000000000000000000000
+                100000000000000000000000000000000000000000000000000000000000000
+                100000000000000000000000000000000000000000000000000000000000000
+                1000000000000000000000000000000000000000000000000000000000000000
+                1000000000000000000000000000000000000000000000000000000000000000
+                1000000000000000000000000000000000000000000000000000000000000000
+                1111111111111111111111111111111111111111111111111111111111111111
+                1111111111111111111111111111111111111111111111111111111111111111
+                1111111111111111111111111111111111111111111111111111111111111111
+                1111111111111111111111111111111111111111111111111111111111111111
--- old/usr/src/cmd/mdb/test/format/tst.format-e.mdb	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,2 +0,0 @@
--1,10=e
-1<<0t63,10=e
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-e.mdb	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,2 @@
+-1,10=e
+1<<0t63,10=e
--- old/usr/src/cmd/mdb/test/format/tst.format-e.mdb.out	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,12 +0,0 @@
-                -1                   -1                   -1                   
-                -1                   -1                   -1                   
-                -1                   -1                   -1                   
-                -1                   -1                   -1                   
-                -1                   -1                   -1                   
-                -1                   
-                -9223372036854775808 -9223372036854775808 -9223372036854775808 
-                -9223372036854775808 -9223372036854775808 -9223372036854775808 
-                -9223372036854775808 -9223372036854775808 -9223372036854775808 
-                -9223372036854775808 -9223372036854775808 -9223372036854775808 
-                -9223372036854775808 -9223372036854775808 -9223372036854775808 
-                -9223372036854775808 
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-e.mdb.out	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,12 @@
+                -1                   -1                   -1                   
+                -1                   -1                   -1                   
+                -1                   -1                   -1                   
+                -1                   -1                   -1                   
+                -1                   -1                   -1                   
+                -1                   
+                -9223372036854775808 -9223372036854775808 -9223372036854775808 
+                -9223372036854775808 -9223372036854775808 -9223372036854775808 
+                -9223372036854775808 -9223372036854775808 -9223372036854775808 
+                -9223372036854775808 -9223372036854775808 -9223372036854775808 
+                -9223372036854775808 -9223372036854775808 -9223372036854775808 
+                -9223372036854775808 
--- old/usr/src/cmd/mdb/test/format/tst.format-g.mdb	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,5 +0,0 @@
--1,10=g
-1<<0t63,10=g
-(1<<0t63)-1,10=g
-1<<0t60,10=g
-1<<0t57,10=g
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-g.mdb	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,5 @@
+-1,10=g
+1<<0t63,10=g
+(1<<0t63)-1,10=g
+1<<0t60,10=g
+1<<0t57,10=g
--- old/usr/src/cmd/mdb/test/format/tst.format-g.mdb.out	Sun Mar  8 05:04:26 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,40 +0,0 @@
-                -1                      -1                      
-                -1                      -1                      
-                -1                      -1                      
-                -1                      -1                      
-                -1                      -1                      
-                -1                      -1                      
-                -1                      -1                      
-                -1                      -1                      
-                -1000000000000000000000 -1000000000000000000000 
-                -1000000000000000000000 -1000000000000000000000 
-                -1000000000000000000000 -1000000000000000000000 
-                -1000000000000000000000 -1000000000000000000000 
-                -1000000000000000000000 -1000000000000000000000 
-                -1000000000000000000000 -1000000000000000000000 
-                -1000000000000000000000 -1000000000000000000000 
-                -1000000000000000000000 -1000000000000000000000 
-                777777777777777777777   777777777777777777777   
-                777777777777777777777   777777777777777777777   
-                777777777777777777777   777777777777777777777   
-                777777777777777777777   777777777777777777777   
-                777777777777777777777   777777777777777777777   
-                777777777777777777777   777777777777777777777   
-                777777777777777777777   777777777777777777777   
-                777777777777777777777   777777777777777777777   
-                100000000000000000000   100000000000000000000   
-                100000000000000000000   100000000000000000000   
-                100000000000000000000   100000000000000000000   
-                100000000000000000000   100000000000000000000   
-                100000000000000000000   100000000000000000000   
-                100000000000000000000   100000000000000000000   
-                100000000000000000000   100000000000000000000   
-                100000000000000000000   100000000000000000000   
-                10000000000000000000    10000000000000000000    
-                10000000000000000000    10000000000000000000    
-                10000000000000000000    10000000000000000000    
-                10000000000000000000    10000000000000000000    
-                10000000000000000000    10000000000000000000    
-                10000000000000000000    10000000000000000000    
-                10000000000000000000    10000000000000000000    
-                10000000000000000000    10000000000000000000    
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-g.mdb.out	Sun Mar  8 05:04:26 2020
@@ -0,0 +1,40 @@
+                -1                      -1                      
+                -1                      -1                      
+                -1                      -1                      
+                -1                      -1                      
+                -1                      -1                      
+                -1                      -1                      
+                -1                      -1                      
+                -1                      -1                      
+                -1000000000000000000000 -1000000000000000000000 
+                -1000000000000000000000 -1000000000000000000000 
+                -1000000000000000000000 -1000000000000000000000 
+                -1000000000000000000000 -1000000000000000000000 
+                -1000000000000000000000 -1000000000000000000000 
+                -1000000000000000000000 -1000000000000000000000 
+                -1000000000000000000000 -1000000000000000000000 
+                -1000000000000000000000 -1000000000000000000000 
+                777777777777777777777   777777777777777777777   
+                777777777777777777777   777777777777777777777   
+                777777777777777777777   777777777777777777777   
+                777777777777777777777   777777777777777777777   
+                777777777777777777777   777777777777777777777   
+                777777777777777777777   777777777777777777777   
+                777777777777777777777   777777777777777777777   
+                777777777777777777777   777777777777777777777   
+                100000000000000000000   100000000000000000000   
+                100000000000000000000   100000000000000000000   
+                100000000000000000000   100000000000000000000   
+                100000000000000000000   100000000000000000000   
+                100000000000000000000   100000000000000000000   
+                100000000000000000000   100000000000000000000   
+                100000000000000000000   100000000000000000000   
+                100000000000000000000   100000000000000000000   
+                10000000000000000000    10000000000000000000    
+                10000000000000000000    10000000000000000000    
+                10000000000000000000    10000000000000000000    
+                10000000000000000000    10000000000000000000    
+                10000000000000000000    10000000000000000000    
+                10000000000000000000    10000000000000000000    
+                10000000000000000000    10000000000000000000    
+                10000000000000000000    10000000000000000000    
--- old/usr/src/cmd/mdb/test/format/tst.format-j.mdb	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,8 +0,0 @@
--1=JRjnn
-0=JRjnn
-1=JRjnn
-feedface=JRjnn
-badfeedcafe=JRjnn
-deadba11e12a=JRjnn
-badb100d=JRjnn
-baddefec8ed=JRjnn
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-j.mdb	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,8 @@
+-1=JRjnn
+0=JRjnn
+1=JRjnn
+feedface=JRjnn
+badfeedcafe=JRjnn
+deadba11e12a=JRjnn
+badb100d=JRjnn
+baddefec8ed=JRjnn
--- old/usr/src/cmd/mdb/test/format/tst.format-j.mdb.out	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,238 +0,0 @@
-                ffffffffffffffff 
-                1111111111111111111111111111111111111111111111111111111111111111
-                1111111111111111111111111111111111111111111111111111111111111111
-                ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
-                |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||+-- bit 0  mask 0x0000000000000001
-                ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||+--- bit 1  mask 0x0000000000000002
-                |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||+---- bit 2  mask 0x0000000000000004
-                ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||+----- bit 3  mask 0x0000000000000008
-                |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||+------ bit 4  mask 0x0000000000000010
-                ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||+------- bit 5  mask 0x0000000000000020
-                |||||||||||||||||||||||||||||||||||||||||||||||||||||||||+-------- bit 6  mask 0x0000000000000040
-                ||||||||||||||||||||||||||||||||||||||||||||||||||||||||+--------- bit 7  mask 0x0000000000000080
-                |||||||||||||||||||||||||||||||||||||||||||||||||||||||+---------- bit 8  mask 0x0000000000000100
-                ||||||||||||||||||||||||||||||||||||||||||||||||||||||+----------- bit 9  mask 0x0000000000000200
-                |||||||||||||||||||||||||||||||||||||||||||||||||||||+------------ bit 10 mask 0x0000000000000400
-                ||||||||||||||||||||||||||||||||||||||||||||||||||||+------------- bit 11 mask 0x0000000000000800
-                |||||||||||||||||||||||||||||||||||||||||||||||||||+-------------- bit 12 mask 0x0000000000001000
-                ||||||||||||||||||||||||||||||||||||||||||||||||||+--------------- bit 13 mask 0x0000000000002000
-                |||||||||||||||||||||||||||||||||||||||||||||||||+---------------- bit 14 mask 0x0000000000004000
-                ||||||||||||||||||||||||||||||||||||||||||||||||+----------------- bit 15 mask 0x0000000000008000
-                |||||||||||||||||||||||||||||||||||||||||||||||+------------------ bit 16 mask 0x0000000000010000
-                ||||||||||||||||||||||||||||||||||||||||||||||+------------------- bit 17 mask 0x0000000000020000
-                |||||||||||||||||||||||||||||||||||||||||||||+-------------------- bit 18 mask 0x0000000000040000
-                ||||||||||||||||||||||||||||||||||||||||||||+--------------------- bit 19 mask 0x0000000000080000
-                |||||||||||||||||||||||||||||||||||||||||||+---------------------- bit 20 mask 0x0000000000100000
-                ||||||||||||||||||||||||||||||||||||||||||+----------------------- bit 21 mask 0x0000000000200000
-                |||||||||||||||||||||||||||||||||||||||||+------------------------ bit 22 mask 0x0000000000400000
-                ||||||||||||||||||||||||||||||||||||||||+------------------------- bit 23 mask 0x0000000000800000
-                |||||||||||||||||||||||||||||||||||||||+-------------------------- bit 24 mask 0x0000000001000000
-                ||||||||||||||||||||||||||||||||||||||+--------------------------- bit 25 mask 0x0000000002000000
-                |||||||||||||||||||||||||||||||||||||+---------------------------- bit 26 mask 0x0000000004000000
-                ||||||||||||||||||||||||||||||||||||+----------------------------- bit 27 mask 0x0000000008000000
-                |||||||||||||||||||||||||||||||||||+------------------------------ bit 28 mask 0x0000000010000000
-                ||||||||||||||||||||||||||||||||||+------------------------------- bit 29 mask 0x0000000020000000
-                |||||||||||||||||||||||||||||||||+-------------------------------- bit 30 mask 0x0000000040000000
-                ||||||||||||||||||||||||||||||||+--------------------------------- bit 31 mask 0x0000000080000000
-                |||||||||||||||||||||||||||||||+---------------------------------- bit 32 mask 0x0000000100000000
-                ||||||||||||||||||||||||||||||+----------------------------------- bit 33 mask 0x0000000200000000
-                |||||||||||||||||||||||||||||+------------------------------------ bit 34 mask 0x0000000400000000
-                ||||||||||||||||||||||||||||+------------------------------------- bit 35 mask 0x0000000800000000
-                |||||||||||||||||||||||||||+-------------------------------------- bit 36 mask 0x0000001000000000
-                ||||||||||||||||||||||||||+--------------------------------------- bit 37 mask 0x0000002000000000
-                |||||||||||||||||||||||||+---------------------------------------- bit 38 mask 0x0000004000000000
-                ||||||||||||||||||||||||+----------------------------------------- bit 39 mask 0x0000008000000000
-                |||||||||||||||||||||||+------------------------------------------ bit 40 mask 0x0000010000000000
-                ||||||||||||||||||||||+------------------------------------------- bit 41 mask 0x0000020000000000
-                |||||||||||||||||||||+-------------------------------------------- bit 42 mask 0x0000040000000000
-                ||||||||||||||||||||+--------------------------------------------- bit 43 mask 0x0000080000000000
-                |||||||||||||||||||+---------------------------------------------- bit 44 mask 0x0000100000000000
-                ||||||||||||||||||+----------------------------------------------- bit 45 mask 0x0000200000000000
-                |||||||||||||||||+------------------------------------------------ bit 46 mask 0x0000400000000000
-                ||||||||||||||||+------------------------------------------------- bit 47 mask 0x0000800000000000
-                |||||||||||||||+-------------------------------------------------- bit 48 mask 0x0001000000000000
-                ||||||||||||||+--------------------------------------------------- bit 49 mask 0x0002000000000000
-                |||||||||||||+---------------------------------------------------- bit 50 mask 0x0004000000000000
-                ||||||||||||+----------------------------------------------------- bit 51 mask 0x0008000000000000
-                |||||||||||+------------------------------------------------------ bit 52 mask 0x0010000000000000
-                ||||||||||+------------------------------------------------------- bit 53 mask 0x0020000000000000
-                |||||||||+-------------------------------------------------------- bit 54 mask 0x0040000000000000
-                ||||||||+--------------------------------------------------------- bit 55 mask 0x0080000000000000
-                |||||||+---------------------------------------------------------- bit 56 mask 0x0100000000000000
-                ||||||+----------------------------------------------------------- bit 57 mask 0x0200000000000000
-                |||||+------------------------------------------------------------ bit 58 mask 0x0400000000000000
-                ||||+------------------------------------------------------------- bit 59 mask 0x0800000000000000
-                |||+-------------------------------------------------------------- bit 60 mask 0x1000000000000000
-                ||+--------------------------------------------------------------- bit 61 mask 0x2000000000000000
-                |+---------------------------------------------------------------- bit 62 mask 0x4000000000000000
-                +----------------------------------------------------------------- bit 63 mask 0x8000000000000000
-                
-                
-                0               
-                0
-                0
-                
-                
-                1               
-                1
-                1
-                |
-                +-- bit 0 mask 0x1
-                
-                
-                feedface        
-                11111110111011011111101011001110
-                11111110111011011111101011001110
-                ||||||| ||| || |||||| | ||  |||
-                ||||||| ||| || |||||| | ||  ||+--- bit 1  mask 0x00000002
-                ||||||| ||| || |||||| | ||  |+---- bit 2  mask 0x00000004
-                ||||||| ||| || |||||| | ||  +----- bit 3  mask 0x00000008
-                ||||||| ||| || |||||| | |+-------- bit 6  mask 0x00000040
-                ||||||| ||| || |||||| | +--------- bit 7  mask 0x00000080
-                ||||||| ||| || |||||| +----------- bit 9  mask 0x00000200
-                ||||||| ||| || |||||+------------- bit 11 mask 0x00000800
-                ||||||| ||| || ||||+-------------- bit 12 mask 0x00001000
-                ||||||| ||| || |||+--------------- bit 13 mask 0x00002000
-                ||||||| ||| || ||+---------------- bit 14 mask 0x00004000
-                ||||||| ||| || |+----------------- bit 15 mask 0x00008000
-                ||||||| ||| || +------------------ bit 16 mask 0x00010000
-                ||||||| ||| |+-------------------- bit 18 mask 0x00040000
-                ||||||| ||| +--------------------- bit 19 mask 0x00080000
-                ||||||| ||+----------------------- bit 21 mask 0x00200000
-                ||||||| |+------------------------ bit 22 mask 0x00400000
-                ||||||| +------------------------- bit 23 mask 0x00800000
-                ||||||+--------------------------- bit 25 mask 0x02000000
-                |||||+---------------------------- bit 26 mask 0x04000000
-                ||||+----------------------------- bit 27 mask 0x08000000
-                |||+------------------------------ bit 28 mask 0x10000000
-                ||+------------------------------- bit 29 mask 0x20000000
-                |+-------------------------------- bit 30 mask 0x40000000
-                +--------------------------------- bit 31 mask 0x80000000
-                
-                
-                badfeedcafe     
-                10111010110111111110111011011100101011111110
-                10111010110111111110111011011100101011111110
-                | ||| | || |||||||| ||| || |||  | | |||||||
-                | ||| | || |||||||| ||| || |||  | | ||||||+--- bit 1  mask 0x00000000002
-                | ||| | || |||||||| ||| || |||  | | |||||+---- bit 2  mask 0x00000000004
-                | ||| | || |||||||| ||| || |||  | | ||||+----- bit 3  mask 0x00000000008
-                | ||| | || |||||||| ||| || |||  | | |||+------ bit 4  mask 0x00000000010
-                | ||| | || |||||||| ||| || |||  | | ||+------- bit 5  mask 0x00000000020
-                | ||| | || |||||||| ||| || |||  | | |+-------- bit 6  mask 0x00000000040
-                | ||| | || |||||||| ||| || |||  | | +--------- bit 7  mask 0x00000000080
-                | ||| | || |||||||| ||| || |||  | +----------- bit 9  mask 0x00000000200
-                | ||| | || |||||||| ||| || |||  +------------- bit 11 mask 0x00000000800
-                | ||| | || |||||||| ||| || ||+---------------- bit 14 mask 0x00000004000
-                | ||| | || |||||||| ||| || |+----------------- bit 15 mask 0x00000008000
-                | ||| | || |||||||| ||| || +------------------ bit 16 mask 0x00000010000
-                | ||| | || |||||||| ||| |+-------------------- bit 18 mask 0x00000040000
-                | ||| | || |||||||| ||| +--------------------- bit 19 mask 0x00000080000
-                | ||| | || |||||||| ||+----------------------- bit 21 mask 0x00000200000
-                | ||| | || |||||||| |+------------------------ bit 22 mask 0x00000400000
-                | ||| | || |||||||| +------------------------- bit 23 mask 0x00000800000
-                | ||| | || |||||||+--------------------------- bit 25 mask 0x00002000000
-                | ||| | || ||||||+---------------------------- bit 26 mask 0x00004000000
-                | ||| | || |||||+----------------------------- bit 27 mask 0x00008000000
-                | ||| | || ||||+------------------------------ bit 28 mask 0x00010000000
-                | ||| | || |||+------------------------------- bit 29 mask 0x00020000000
-                | ||| | || ||+-------------------------------- bit 30 mask 0x00040000000
-                | ||| | || |+--------------------------------- bit 31 mask 0x00080000000
-                | ||| | || +---------------------------------- bit 32 mask 0x00100000000
-                | ||| | |+------------------------------------ bit 34 mask 0x00400000000
-                | ||| | +------------------------------------- bit 35 mask 0x00800000000
-                | ||| +--------------------------------------- bit 37 mask 0x02000000000
-                | ||+----------------------------------------- bit 39 mask 0x08000000000
-                | |+------------------------------------------ bit 40 mask 0x10000000000
-                | +------------------------------------------- bit 41 mask 0x20000000000
-                +--------------------------------------------- bit 43 mask 0x80000000000
-                
-                
-                deadba11e12a    
-                110111101010110110111010000100011110000100101010
-                110111101010110110111010000100011110000100101010
-                || |||| | | || || ||| |    |   ||||    |  | | |
-                || |||| | | || || ||| |    |   ||||    |  | | +--- bit 1  mask 0x000000000002
-                || |||| | | || || ||| |    |   ||||    |  | +----- bit 3  mask 0x000000000008
-                || |||| | | || || ||| |    |   ||||    |  +------- bit 5  mask 0x000000000020
-                || |||| | | || || ||| |    |   ||||    +---------- bit 8  mask 0x000000000100
-                || |||| | | || || ||| |    |   |||+--------------- bit 13 mask 0x000000002000
-                || |||| | | || || ||| |    |   ||+---------------- bit 14 mask 0x000000004000
-                || |||| | | || || ||| |    |   |+----------------- bit 15 mask 0x000000008000
-                || |||| | | || || ||| |    |   +------------------ bit 16 mask 0x000000010000
-                || |||| | | || || ||| |    +---------------------- bit 20 mask 0x000000100000
-                || |||| | | || || ||| +--------------------------- bit 25 mask 0x000002000000
-                || |||| | | || || ||+----------------------------- bit 27 mask 0x000008000000
-                || |||| | | || || |+------------------------------ bit 28 mask 0x000010000000
-                || |||| | | || || +------------------------------- bit 29 mask 0x000020000000
-                || |||| | | || |+--------------------------------- bit 31 mask 0x000080000000
-                || |||| | | || +---------------------------------- bit 32 mask 0x000100000000
-                || |||| | | |+------------------------------------ bit 34 mask 0x000400000000
-                || |||| | | +------------------------------------- bit 35 mask 0x000800000000
-                || |||| | +--------------------------------------- bit 37 mask 0x002000000000
-                || |||| +----------------------------------------- bit 39 mask 0x008000000000
-                || |||+------------------------------------------- bit 41 mask 0x020000000000
-                || ||+-------------------------------------------- bit 42 mask 0x040000000000
-                || |+--------------------------------------------- bit 43 mask 0x080000000000
-                || +---------------------------------------------- bit 44 mask 0x100000000000
-                |+------------------------------------------------ bit 46 mask 0x400000000000
-                +------------------------------------------------- bit 47 mask 0x800000000000
-                
-                
-                badb100d        
-                10111010110110110001000000001101
-                10111010110110110001000000001101
-                | ||| | || || ||   |        || |
-                | ||| | || || ||   |        || +-- bit 0  mask 0x00000001
-                | ||| | || || ||   |        |+---- bit 2  mask 0x00000004
-                | ||| | || || ||   |        +----- bit 3  mask 0x00000008
-                | ||| | || || ||   +-------------- bit 12 mask 0x00001000
-                | ||| | || || |+------------------ bit 16 mask 0x00010000
-                | ||| | || || +------------------- bit 17 mask 0x00020000
-                | ||| | || |+--------------------- bit 19 mask 0x00080000
-                | ||| | || +---------------------- bit 20 mask 0x00100000
-                | ||| | |+------------------------ bit 22 mask 0x00400000
-                | ||| | +------------------------- bit 23 mask 0x00800000
-                | ||| +--------------------------- bit 25 mask 0x02000000
-                | ||+----------------------------- bit 27 mask 0x08000000
-                | |+------------------------------ bit 28 mask 0x10000000
-                | +------------------------------- bit 29 mask 0x20000000
-                +--------------------------------- bit 31 mask 0x80000000
-                
-                
-                baddefec8ed     
-                10111010110111011110111111101100100011101101
-                10111010110111011110111111101100100011101101
-                | ||| | || ||| |||| ||||||| ||  |   ||| || |
-                | ||| | || ||| |||| ||||||| ||  |   ||| || +-- bit 0  mask 0x00000000001
-                | ||| | || ||| |||| ||||||| ||  |   ||| |+---- bit 2  mask 0x00000000004
-                | ||| | || ||| |||| ||||||| ||  |   ||| +----- bit 3  mask 0x00000000008
-                | ||| | || ||| |||| ||||||| ||  |   ||+------- bit 5  mask 0x00000000020
-                | ||| | || ||| |||| ||||||| ||  |   |+-------- bit 6  mask 0x00000000040
-                | ||| | || ||| |||| ||||||| ||  |   +--------- bit 7  mask 0x00000000080
-                | ||| | || ||| |||| ||||||| ||  +------------- bit 11 mask 0x00000000800
-                | ||| | || ||| |||| ||||||| |+---------------- bit 14 mask 0x00000004000
-                | ||| | || ||| |||| ||||||| +----------------- bit 15 mask 0x00000008000
-                | ||| | || ||| |||| ||||||+------------------- bit 17 mask 0x00000020000
-                | ||| | || ||| |||| |||||+-------------------- bit 18 mask 0x00000040000
-                | ||| | || ||| |||| ||||+--------------------- bit 19 mask 0x00000080000
-                | ||| | || ||| |||| |||+---------------------- bit 20 mask 0x00000100000
-                | ||| | || ||| |||| ||+----------------------- bit 21 mask 0x00000200000
-                | ||| | || ||| |||| |+------------------------ bit 22 mask 0x00000400000
-                | ||| | || ||| |||| +------------------------- bit 23 mask 0x00000800000
-                | ||| | || ||| |||+--------------------------- bit 25 mask 0x00002000000
-                | ||| | || ||| ||+---------------------------- bit 26 mask 0x00004000000
-                | ||| | || ||| |+----------------------------- bit 27 mask 0x00008000000
-                | ||| | || ||| +------------------------------ bit 28 mask 0x00010000000
-                | ||| | || ||+-------------------------------- bit 30 mask 0x00040000000
-                | ||| | || |+--------------------------------- bit 31 mask 0x00080000000
-                | ||| | || +---------------------------------- bit 32 mask 0x00100000000
-                | ||| | |+------------------------------------ bit 34 mask 0x00400000000
-                | ||| | +------------------------------------- bit 35 mask 0x00800000000
-                | ||| +--------------------------------------- bit 37 mask 0x02000000000
-                | ||+----------------------------------------- bit 39 mask 0x08000000000
-                | |+------------------------------------------ bit 40 mask 0x10000000000
-                | +------------------------------------------- bit 41 mask 0x20000000000
-                +--------------------------------------------- bit 43 mask 0x80000000000
-                
-                
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-j.mdb.out	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,238 @@
+                ffffffffffffffff 
+                1111111111111111111111111111111111111111111111111111111111111111
+                1111111111111111111111111111111111111111111111111111111111111111
+                ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
+                |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||+-- bit 0  mask 0x0000000000000001
+                ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||+--- bit 1  mask 0x0000000000000002
+                |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||+---- bit 2  mask 0x0000000000000004
+                ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||+----- bit 3  mask 0x0000000000000008
+                |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||+------ bit 4  mask 0x0000000000000010
+                ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||+------- bit 5  mask 0x0000000000000020
+                |||||||||||||||||||||||||||||||||||||||||||||||||||||||||+-------- bit 6  mask 0x0000000000000040
+                ||||||||||||||||||||||||||||||||||||||||||||||||||||||||+--------- bit 7  mask 0x0000000000000080
+                |||||||||||||||||||||||||||||||||||||||||||||||||||||||+---------- bit 8  mask 0x0000000000000100
+                ||||||||||||||||||||||||||||||||||||||||||||||||||||||+----------- bit 9  mask 0x0000000000000200
+                |||||||||||||||||||||||||||||||||||||||||||||||||||||+------------ bit 10 mask 0x0000000000000400
+                ||||||||||||||||||||||||||||||||||||||||||||||||||||+------------- bit 11 mask 0x0000000000000800
+                |||||||||||||||||||||||||||||||||||||||||||||||||||+-------------- bit 12 mask 0x0000000000001000
+                ||||||||||||||||||||||||||||||||||||||||||||||||||+--------------- bit 13 mask 0x0000000000002000
+                |||||||||||||||||||||||||||||||||||||||||||||||||+---------------- bit 14 mask 0x0000000000004000
+                ||||||||||||||||||||||||||||||||||||||||||||||||+----------------- bit 15 mask 0x0000000000008000
+                |||||||||||||||||||||||||||||||||||||||||||||||+------------------ bit 16 mask 0x0000000000010000
+                ||||||||||||||||||||||||||||||||||||||||||||||+------------------- bit 17 mask 0x0000000000020000
+                |||||||||||||||||||||||||||||||||||||||||||||+-------------------- bit 18 mask 0x0000000000040000
+                ||||||||||||||||||||||||||||||||||||||||||||+--------------------- bit 19 mask 0x0000000000080000
+                |||||||||||||||||||||||||||||||||||||||||||+---------------------- bit 20 mask 0x0000000000100000
+                ||||||||||||||||||||||||||||||||||||||||||+----------------------- bit 21 mask 0x0000000000200000
+                |||||||||||||||||||||||||||||||||||||||||+------------------------ bit 22 mask 0x0000000000400000
+                ||||||||||||||||||||||||||||||||||||||||+------------------------- bit 23 mask 0x0000000000800000
+                |||||||||||||||||||||||||||||||||||||||+-------------------------- bit 24 mask 0x0000000001000000
+                ||||||||||||||||||||||||||||||||||||||+--------------------------- bit 25 mask 0x0000000002000000
+                |||||||||||||||||||||||||||||||||||||+---------------------------- bit 26 mask 0x0000000004000000
+                ||||||||||||||||||||||||||||||||||||+----------------------------- bit 27 mask 0x0000000008000000
+                |||||||||||||||||||||||||||||||||||+------------------------------ bit 28 mask 0x0000000010000000
+                ||||||||||||||||||||||||||||||||||+------------------------------- bit 29 mask 0x0000000020000000
+                |||||||||||||||||||||||||||||||||+-------------------------------- bit 30 mask 0x0000000040000000
+                ||||||||||||||||||||||||||||||||+--------------------------------- bit 31 mask 0x0000000080000000
+                |||||||||||||||||||||||||||||||+---------------------------------- bit 32 mask 0x0000000100000000
+                ||||||||||||||||||||||||||||||+----------------------------------- bit 33 mask 0x0000000200000000
+                |||||||||||||||||||||||||||||+------------------------------------ bit 34 mask 0x0000000400000000
+                ||||||||||||||||||||||||||||+------------------------------------- bit 35 mask 0x0000000800000000
+                |||||||||||||||||||||||||||+-------------------------------------- bit 36 mask 0x0000001000000000
+                ||||||||||||||||||||||||||+--------------------------------------- bit 37 mask 0x0000002000000000
+                |||||||||||||||||||||||||+---------------------------------------- bit 38 mask 0x0000004000000000
+                ||||||||||||||||||||||||+----------------------------------------- bit 39 mask 0x0000008000000000
+                |||||||||||||||||||||||+------------------------------------------ bit 40 mask 0x0000010000000000
+                ||||||||||||||||||||||+------------------------------------------- bit 41 mask 0x0000020000000000
+                |||||||||||||||||||||+-------------------------------------------- bit 42 mask 0x0000040000000000
+                ||||||||||||||||||||+--------------------------------------------- bit 43 mask 0x0000080000000000
+                |||||||||||||||||||+---------------------------------------------- bit 44 mask 0x0000100000000000
+                ||||||||||||||||||+----------------------------------------------- bit 45 mask 0x0000200000000000
+                |||||||||||||||||+------------------------------------------------ bit 46 mask 0x0000400000000000
+                ||||||||||||||||+------------------------------------------------- bit 47 mask 0x0000800000000000
+                |||||||||||||||+-------------------------------------------------- bit 48 mask 0x0001000000000000
+                ||||||||||||||+--------------------------------------------------- bit 49 mask 0x0002000000000000
+                |||||||||||||+---------------------------------------------------- bit 50 mask 0x0004000000000000
+                ||||||||||||+----------------------------------------------------- bit 51 mask 0x0008000000000000
+                |||||||||||+------------------------------------------------------ bit 52 mask 0x0010000000000000
+                ||||||||||+------------------------------------------------------- bit 53 mask 0x0020000000000000
+                |||||||||+-------------------------------------------------------- bit 54 mask 0x0040000000000000
+                ||||||||+--------------------------------------------------------- bit 55 mask 0x0080000000000000
+                |||||||+---------------------------------------------------------- bit 56 mask 0x0100000000000000
+                ||||||+----------------------------------------------------------- bit 57 mask 0x0200000000000000
+                |||||+------------------------------------------------------------ bit 58 mask 0x0400000000000000
+                ||||+------------------------------------------------------------- bit 59 mask 0x0800000000000000
+                |||+-------------------------------------------------------------- bit 60 mask 0x1000000000000000
+                ||+--------------------------------------------------------------- bit 61 mask 0x2000000000000000
+                |+---------------------------------------------------------------- bit 62 mask 0x4000000000000000
+                +----------------------------------------------------------------- bit 63 mask 0x8000000000000000
+                
+                
+                0               
+                0
+                0
+                
+                
+                1               
+                1
+                1
+                |
+                +-- bit 0 mask 0x1
+                
+                
+                feedface        
+                11111110111011011111101011001110
+                11111110111011011111101011001110
+                ||||||| ||| || |||||| | ||  |||
+                ||||||| ||| || |||||| | ||  ||+--- bit 1  mask 0x00000002
+                ||||||| ||| || |||||| | ||  |+---- bit 2  mask 0x00000004
+                ||||||| ||| || |||||| | ||  +----- bit 3  mask 0x00000008
+                ||||||| ||| || |||||| | |+-------- bit 6  mask 0x00000040
+                ||||||| ||| || |||||| | +--------- bit 7  mask 0x00000080
+                ||||||| ||| || |||||| +----------- bit 9  mask 0x00000200
+                ||||||| ||| || |||||+------------- bit 11 mask 0x00000800
+                ||||||| ||| || ||||+-------------- bit 12 mask 0x00001000
+                ||||||| ||| || |||+--------------- bit 13 mask 0x00002000
+                ||||||| ||| || ||+---------------- bit 14 mask 0x00004000
+                ||||||| ||| || |+----------------- bit 15 mask 0x00008000
+                ||||||| ||| || +------------------ bit 16 mask 0x00010000
+                ||||||| ||| |+-------------------- bit 18 mask 0x00040000
+                ||||||| ||| +--------------------- bit 19 mask 0x00080000
+                ||||||| ||+----------------------- bit 21 mask 0x00200000
+                ||||||| |+------------------------ bit 22 mask 0x00400000
+                ||||||| +------------------------- bit 23 mask 0x00800000
+                ||||||+--------------------------- bit 25 mask 0x02000000
+                |||||+---------------------------- bit 26 mask 0x04000000
+                ||||+----------------------------- bit 27 mask 0x08000000
+                |||+------------------------------ bit 28 mask 0x10000000
+                ||+------------------------------- bit 29 mask 0x20000000
+                |+-------------------------------- bit 30 mask 0x40000000
+                +--------------------------------- bit 31 mask 0x80000000
+                
+                
+                badfeedcafe     
+                10111010110111111110111011011100101011111110
+                10111010110111111110111011011100101011111110
+                | ||| | || |||||||| ||| || |||  | | |||||||
+                | ||| | || |||||||| ||| || |||  | | ||||||+--- bit 1  mask 0x00000000002
+                | ||| | || |||||||| ||| || |||  | | |||||+---- bit 2  mask 0x00000000004
+                | ||| | || |||||||| ||| || |||  | | ||||+----- bit 3  mask 0x00000000008
+                | ||| | || |||||||| ||| || |||  | | |||+------ bit 4  mask 0x00000000010
+                | ||| | || |||||||| ||| || |||  | | ||+------- bit 5  mask 0x00000000020
+                | ||| | || |||||||| ||| || |||  | | |+-------- bit 6  mask 0x00000000040
+                | ||| | || |||||||| ||| || |||  | | +--------- bit 7  mask 0x00000000080
+                | ||| | || |||||||| ||| || |||  | +----------- bit 9  mask 0x00000000200
+                | ||| | || |||||||| ||| || |||  +------------- bit 11 mask 0x00000000800
+                | ||| | || |||||||| ||| || ||+---------------- bit 14 mask 0x00000004000
+                | ||| | || |||||||| ||| || |+----------------- bit 15 mask 0x00000008000
+                | ||| | || |||||||| ||| || +------------------ bit 16 mask 0x00000010000
+                | ||| | || |||||||| ||| |+-------------------- bit 18 mask 0x00000040000
+                | ||| | || |||||||| ||| +--------------------- bit 19 mask 0x00000080000
+                | ||| | || |||||||| ||+----------------------- bit 21 mask 0x00000200000
+                | ||| | || |||||||| |+------------------------ bit 22 mask 0x00000400000
+                | ||| | || |||||||| +------------------------- bit 23 mask 0x00000800000
+                | ||| | || |||||||+--------------------------- bit 25 mask 0x00002000000
+                | ||| | || ||||||+---------------------------- bit 26 mask 0x00004000000
+                | ||| | || |||||+----------------------------- bit 27 mask 0x00008000000
+                | ||| | || ||||+------------------------------ bit 28 mask 0x00010000000
+                | ||| | || |||+------------------------------- bit 29 mask 0x00020000000
+                | ||| | || ||+-------------------------------- bit 30 mask 0x00040000000
+                | ||| | || |+--------------------------------- bit 31 mask 0x00080000000
+                | ||| | || +---------------------------------- bit 32 mask 0x00100000000
+                | ||| | |+------------------------------------ bit 34 mask 0x00400000000
+                | ||| | +------------------------------------- bit 35 mask 0x00800000000
+                | ||| +--------------------------------------- bit 37 mask 0x02000000000
+                | ||+----------------------------------------- bit 39 mask 0x08000000000
+                | |+------------------------------------------ bit 40 mask 0x10000000000
+                | +------------------------------------------- bit 41 mask 0x20000000000
+                +--------------------------------------------- bit 43 mask 0x80000000000
+                
+                
+                deadba11e12a    
+                110111101010110110111010000100011110000100101010
+                110111101010110110111010000100011110000100101010
+                || |||| | | || || ||| |    |   ||||    |  | | |
+                || |||| | | || || ||| |    |   ||||    |  | | +--- bit 1  mask 0x000000000002
+                || |||| | | || || ||| |    |   ||||    |  | +----- bit 3  mask 0x000000000008
+                || |||| | | || || ||| |    |   ||||    |  +------- bit 5  mask 0x000000000020
+                || |||| | | || || ||| |    |   ||||    +---------- bit 8  mask 0x000000000100
+                || |||| | | || || ||| |    |   |||+--------------- bit 13 mask 0x000000002000
+                || |||| | | || || ||| |    |   ||+---------------- bit 14 mask 0x000000004000
+                || |||| | | || || ||| |    |   |+----------------- bit 15 mask 0x000000008000
+                || |||| | | || || ||| |    |   +------------------ bit 16 mask 0x000000010000
+                || |||| | | || || ||| |    +---------------------- bit 20 mask 0x000000100000
+                || |||| | | || || ||| +--------------------------- bit 25 mask 0x000002000000
+                || |||| | | || || ||+----------------------------- bit 27 mask 0x000008000000
+                || |||| | | || || |+------------------------------ bit 28 mask 0x000010000000
+                || |||| | | || || +------------------------------- bit 29 mask 0x000020000000
+                || |||| | | || |+--------------------------------- bit 31 mask 0x000080000000
+                || |||| | | || +---------------------------------- bit 32 mask 0x000100000000
+                || |||| | | |+------------------------------------ bit 34 mask 0x000400000000
+                || |||| | | +------------------------------------- bit 35 mask 0x000800000000
+                || |||| | +--------------------------------------- bit 37 mask 0x002000000000
+                || |||| +----------------------------------------- bit 39 mask 0x008000000000
+                || |||+------------------------------------------- bit 41 mask 0x020000000000
+                || ||+-------------------------------------------- bit 42 mask 0x040000000000
+                || |+--------------------------------------------- bit 43 mask 0x080000000000
+                || +---------------------------------------------- bit 44 mask 0x100000000000
+                |+------------------------------------------------ bit 46 mask 0x400000000000
+                +------------------------------------------------- bit 47 mask 0x800000000000
+                
+                
+                badb100d        
+                10111010110110110001000000001101
+                10111010110110110001000000001101
+                | ||| | || || ||   |        || |
+                | ||| | || || ||   |        || +-- bit 0  mask 0x00000001
+                | ||| | || || ||   |        |+---- bit 2  mask 0x00000004
+                | ||| | || || ||   |        +----- bit 3  mask 0x00000008
+                | ||| | || || ||   +-------------- bit 12 mask 0x00001000
+                | ||| | || || |+------------------ bit 16 mask 0x00010000
+                | ||| | || || +------------------- bit 17 mask 0x00020000
+                | ||| | || |+--------------------- bit 19 mask 0x00080000
+                | ||| | || +---------------------- bit 20 mask 0x00100000
+                | ||| | |+------------------------ bit 22 mask 0x00400000
+                | ||| | +------------------------- bit 23 mask 0x00800000
+                | ||| +--------------------------- bit 25 mask 0x02000000
+                | ||+----------------------------- bit 27 mask 0x08000000
+                | |+------------------------------ bit 28 mask 0x10000000
+                | +------------------------------- bit 29 mask 0x20000000
+                +--------------------------------- bit 31 mask 0x80000000
+                
+                
+                baddefec8ed     
+                10111010110111011110111111101100100011101101
+                10111010110111011110111111101100100011101101
+                | ||| | || ||| |||| ||||||| ||  |   ||| || |
+                | ||| | || ||| |||| ||||||| ||  |   ||| || +-- bit 0  mask 0x00000000001
+                | ||| | || ||| |||| ||||||| ||  |   ||| |+---- bit 2  mask 0x00000000004
+                | ||| | || ||| |||| ||||||| ||  |   ||| +----- bit 3  mask 0x00000000008
+                | ||| | || ||| |||| ||||||| ||  |   ||+------- bit 5  mask 0x00000000020
+                | ||| | || ||| |||| ||||||| ||  |   |+-------- bit 6  mask 0x00000000040
+                | ||| | || ||| |||| ||||||| ||  |   +--------- bit 7  mask 0x00000000080
+                | ||| | || ||| |||| ||||||| ||  +------------- bit 11 mask 0x00000000800
+                | ||| | || ||| |||| ||||||| |+---------------- bit 14 mask 0x00000004000
+                | ||| | || ||| |||| ||||||| +----------------- bit 15 mask 0x00000008000
+                | ||| | || ||| |||| ||||||+------------------- bit 17 mask 0x00000020000
+                | ||| | || ||| |||| |||||+-------------------- bit 18 mask 0x00000040000
+                | ||| | || ||| |||| ||||+--------------------- bit 19 mask 0x00000080000
+                | ||| | || ||| |||| |||+---------------------- bit 20 mask 0x00000100000
+                | ||| | || ||| |||| ||+----------------------- bit 21 mask 0x00000200000
+                | ||| | || ||| |||| |+------------------------ bit 22 mask 0x00000400000
+                | ||| | || ||| |||| +------------------------- bit 23 mask 0x00000800000
+                | ||| | || ||| |||+--------------------------- bit 25 mask 0x00002000000
+                | ||| | || ||| ||+---------------------------- bit 26 mask 0x00004000000
+                | ||| | || ||| |+----------------------------- bit 27 mask 0x00008000000
+                | ||| | || ||| +------------------------------ bit 28 mask 0x00010000000
+                | ||| | || ||+-------------------------------- bit 30 mask 0x00040000000
+                | ||| | || |+--------------------------------- bit 31 mask 0x00080000000
+                | ||| | || +---------------------------------- bit 32 mask 0x00100000000
+                | ||| | |+------------------------------------ bit 34 mask 0x00400000000
+                | ||| | +------------------------------------- bit 35 mask 0x00800000000
+                | ||| +--------------------------------------- bit 37 mask 0x02000000000
+                | ||+----------------------------------------- bit 39 mask 0x08000000000
+                | |+------------------------------------------ bit 40 mask 0x10000000000
+                | +------------------------------------------- bit 41 mask 0x20000000000
+                +--------------------------------------------- bit 43 mask 0x80000000000
+                
+                
--- old/usr/src/cmd/mdb/test/format/tst.format-p.mdb	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-1<<0t63,10=p
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-p.mdb	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,1 @@
+1<<0t63,10=p
--- old/usr/src/cmd/mdb/test/format/tst.format-p.mdb.out	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,6 +0,0 @@
-                0x8000000000000000 0x8000000000000000 0x8000000000000000 
-                0x8000000000000000 0x8000000000000000 0x8000000000000000 
-                0x8000000000000000 0x8000000000000000 0x8000000000000000 
-                0x8000000000000000 0x8000000000000000 0x8000000000000000 
-                0x8000000000000000 0x8000000000000000 0x8000000000000000 
-                0x8000000000000000 
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/format/tst.format-p.mdb.out	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,6 @@
+                0x8000000000000000 0x8000000000000000 0x8000000000000000 
+                0x8000000000000000 0x8000000000000000 0x8000000000000000 
+                0x8000000000000000 0x8000000000000000 0x8000000000000000 
+                0x8000000000000000 0x8000000000000000 0x8000000000000000 
+                0x8000000000000000 0x8000000000000000 0x8000000000000000 
+                0x8000000000000000 
--- old/usr/src/cmd/mdb/test/options/tst.autowrap.mdb	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,15 +0,0 @@
-::set +o autowrap
-::typedef -c lp32
-0::printf "Pack my box with five dozen liquor jugs. How razorback-jumping frogs can level six piqued gymnasts! Amazingly few discotheques provide jukeboxes.%d" int .
-
-0::printf "%-79d%d" int . .
-0::printf "%-80d%d" int . .
-0::printf "%-81d%d" int . .
-
-::set -o autowrap
-0::printf "Pack my box with five dozen liquor jugs. How razorback-jumping frogs can level six piqued gymnasts! Amazingly few discotheques provide jukeboxes.%d" int .
-
-0::printf "%-79d%d" int . .
-0::printf "%-80d%d" int . .
-0::printf "%-81d%d" int . .
-
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/options/tst.autowrap.mdb	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,15 @@
+::set +o autowrap
+::typedef -c lp32
+0::printf "Pack my box with five dozen liquor jugs. How razorback-jumping frogs can level six piqued gymnasts! Amazingly few discotheques provide jukeboxes.%d" int .
+
+0::printf "%-79d%d" int . .
+0::printf "%-80d%d" int . .
+0::printf "%-81d%d" int . .
+
+::set -o autowrap
+0::printf "Pack my box with five dozen liquor jugs. How razorback-jumping frogs can level six piqued gymnasts! Amazingly few discotheques provide jukeboxes.%d" int .
+
+0::printf "%-79d%d" int . .
+0::printf "%-80d%d" int . .
+0::printf "%-81d%d" int . .
+
--- old/usr/src/cmd/mdb/test/options/tst.autowrap.mdb.out	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,11 +0,0 @@
-Pack my box with five dozen liquor jugs. How razorback-jumping frogs can level six piqued gymnasts! Amazingly few discotheques provide jukeboxes.0
-0                                                                              0
-0                                                                               0
-0                                                                                0
-Pack my box with five dozen liquor jugs. How razorback-jumping frogs can level s
-ix piqued gymnasts! Amazingly few discotheques provide jukeboxes.0
-0                                                                              0
-0
-0
-0
-0
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/options/tst.autowrap.mdb.out	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,11 @@
+Pack my box with five dozen liquor jugs. How razorback-jumping frogs can level six piqued gymnasts! Amazingly few discotheques provide jukeboxes.0
+0                                                                              0
+0                                                                               0
+0                                                                                0
+Pack my box with five dozen liquor jugs. How razorback-jumping frogs can level s
+ix piqued gymnasts! Amazingly few discotheques provide jukeboxes.0
+0                                                                              0
+0
+0
+0
+0
--- old/usr/src/cmd/mdb/test/typedef/err.badid-leadnum.ksh	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef lp32; ::typedef uint8_t 42foo'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badid-leadnum.ksh	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef lp32; ::typedef uint8_t 42foo'
--- old/usr/src/cmd/mdb/test/typedef/err.badid-leadschar.ksh	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef lp32; ::typedef uint8_t %foo'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badid-leadschar.ksh	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef lp32; ::typedef uint8_t %foo'
--- old/usr/src/cmd/mdb/test/typedef/err.badmodel.ksh	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c LLP64'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badmodel.ksh	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c LLP64'
--- old/usr/src/cmd/mdb/test/typedef/err.badstruct-extrabraces.ksh	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[7]; {} void {**white; }" gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badstruct-extrabraces.ksh	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[7]; {} void {**white; }" gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.badstruct-neglenarr.ksh	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[-3]; void **white; }" gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badstruct-neglenarr.ksh	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[-3]; void **white; }" gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.badstruct-noarrayclose.ksh	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[7; void **white; }" gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badstruct-noarrayclose.ksh	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[7; void **white; }" gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.badstruct-noarraylen.ksh	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[]; void **white; }" gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badstruct-noarraylen.ksh	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[]; void **white; }" gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.badstruct-noarrayopen.ksh	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone7]; void **white; }" gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badstruct-noarrayopen.ksh	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone7]; void **white; }" gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.badstruct-nobraces.ksh	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "struct uintptr_t stone[7]; void **white;" gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badstruct-nobraces.ksh	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "struct uintptr_t stone[7]; void **white;" gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.badstruct-noclosebrace.ksh	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[7]; void **white; " gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badstruct-noclosebrace.ksh	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[7]; void **white; " gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.badstruct-nomembers.ksh	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "struct { }" gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badstruct-nomembers.ksh	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "struct { }" gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.badstruct-nomemname.ksh	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "struct { void; }" gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badstruct-nomemname.ksh	Sun Mar  8 05:04:27 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "struct { void; }" gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.badstruct-nomemsemi.ksh	Sun Mar  8 05:04:27 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[7]; void **white }" gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badstruct-nomemsemi.ksh	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[7]; void **white }" gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.badstruct-noopenbrace.ksh	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "struct  uintptr_t stone[7]; void **white; }" gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badstruct-noopenbrace.ksh	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "struct  uintptr_t stone[7]; void **white; }" gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.badstruct-noquotes.ksh	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef struct { uintptr_t stone[7]; void **white; } gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badstruct-noquotes.ksh	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef struct { uintptr_t stone[7]; void **white; } gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.badstruct-repmemname.ksh	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[7]; void **stone; }" gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badstruct-repmemname.ksh	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[7]; void **stone; }" gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.badstruct-vlaonly.ksh	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[]; }" gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badstruct-vlaonly.ksh	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[]; }" gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.badstruct-zerolenarr.ksh	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[0]; void **white; }" gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badstruct-zerolenarr.ksh	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "struct { uintptr_t stone[0]; void **white; }" gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.badunion-hasvla.ksh	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "union { int foo; uintptr_t stone[]; }" gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.badunion-hasvla.ksh	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "union { int foo; uintptr_t stone[]; }" gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.extraargs.ksh	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e "::typedef -c lp32; ::typedef uint8_t rm_t extra_t"
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.extraargs.ksh	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,1 @@
+$MDB -e "::typedef -c lp32; ::typedef uint8_t rm_t extra_t"
--- old/usr/src/cmd/mdb/test/typedef/err.noargs.ksh	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.noargs.ksh	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef'
--- old/usr/src/cmd/mdb/test/typedef/err.nokeyword.ksh	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c lp32; ::typedef "{ uintptr_t stone[7]; void **white; }" gift_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.nokeyword.ksh	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c lp32; ::typedef "{ uintptr_t stone[7]; void **white; }" gift_t'
--- old/usr/src/cmd/mdb/test/typedef/err.nomodel.ksh	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef -c'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.nomodel.ksh	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef -c'
--- old/usr/src/cmd/mdb/test/typedef/err.noname.ksh	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB -e '::typedef int'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.noname.ksh	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,1 @@
+$MDB -e '::typedef int'
--- old/usr/src/cmd/mdb/test/typedef/err.typeexists.ksh	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-$MDB /lib/libc.so -e '::typedef uint8_t uint16_t'
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/err.typeexists.ksh	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,1 @@
+$MDB /lib/libc.so -e '::typedef uint8_t uint16_t'
--- old/usr/src/cmd/mdb/test/typedef/tst.anonstruct.mdb	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,4 +0,0 @@
-::typedef -c lp32
-::typedef "struct { uintptr_t stone[7]; void **white; }" gift_t
-::sizeof gift_t
-::print -at gift_t
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.anonstruct.mdb	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,4 @@
+::typedef -c lp32
+::typedef "struct { uintptr_t stone[7]; void **white; }" gift_t
+::sizeof gift_t
+::print -at gift_t
--- old/usr/src/cmd/mdb/test/typedef/tst.anonstruct.mdb.out	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,5 +0,0 @@
-sizeof (gift_t) = 0x28
-0 gift_t {
-    0 uintptr_t [7] stone 
-    20 void **white 
-}
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.anonstruct.mdb.out	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,5 @@
+sizeof (gift_t) = 0x28
+0 gift_t {
+    0 uintptr_t [7] stone 
+    20 void **white 
+}
--- old/usr/src/cmd/mdb/test/typedef/tst.anonunion.mdb	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,4 +0,0 @@
-::typedef -c lp64
-::typedef "union { int frodo; char sam; long gandalf; }" ringbearer_t;
-::sizeof ringbearer_t
-::print -at ringbearer_t
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.anonunion.mdb	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,4 @@
+::typedef -c lp64
+::typedef "union { int frodo; char sam; long gandalf; }" ringbearer_t;
+::sizeof ringbearer_t
+::print -at ringbearer_t
--- old/usr/src/cmd/mdb/test/typedef/tst.anonunion.mdb.out	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,6 +0,0 @@
-sizeof (ringbearer_t) = 8
-0 ringbearer_t {
-    0 int frodo 
-    0 char sam 
-    0 long gandalf 
-}
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.anonunion.mdb.out	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,6 @@
+sizeof (ringbearer_t) = 8
+0 ringbearer_t {
+    0 int frodo 
+    0 char sam 
+    0 long gandalf 
+}
--- old/usr/src/cmd/mdb/test/typedef/tst.cleanupstruct.ksh	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,22 +0,0 @@
-#
-# One of the problems that we can encounter involves trying to typedef a struct
-# that has an error in it. The problem here is that we actually create the type
-# itself for the struct before we add members. So what we need is something that
-# will fail validation. So here we go!
-#
-
-TMPFILE="$(mktemp -p /tmp mtest.XXXXXX)"
-if [[ -z "$TMPFILE" ]]; then
-	echo "Failed to get a temp file" 2>&1
-	exit 1
-fi
-
-$MDB <<EOF
-::typedef "struct foo { int r; }" foo_t
-::typedef -l ! cat > $TMPFILE
-EOF
-
-DATA=$(cat $TMPFILE)
-rm -f $TMPFILE
-
-[[ -z $DATA ]]
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.cleanupstruct.ksh	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,22 @@
+#
+# One of the problems that we can encounter involves trying to typedef a struct
+# that has an error in it. The problem here is that we actually create the type
+# itself for the struct before we add members. So what we need is something that
+# will fail validation. So here we go!
+#
+
+TMPFILE="$(mktemp -p /tmp mtest.XXXXXX)"
+if [[ -z "$TMPFILE" ]]; then
+	echo "Failed to get a temp file" 2>&1
+	exit 1
+fi
+
+$MDB <<EOF
+::typedef "struct foo { int r; }" foo_t
+::typedef -l ! cat > $TMPFILE
+EOF
+
+DATA=$(cat $TMPFILE)
+rm -f $TMPFILE
+
+[[ -z $DATA ]]
--- old/usr/src/cmd/mdb/test/typedef/tst.deftypes32.mdb	Sun Mar  8 05:04:28 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,27 +0,0 @@
-::typedef -c LP32
-::sizeof int8_t
-::sizeof int16_t
-::sizeof int32_t
-::sizeof int64_t
-::sizeof uint8_t
-::sizeof uint16_t
-::sizeof uint32_t
-::sizeof uint64_t
-::sizeof intptr_t
-::sizeof uintptr_t
-::sizeof uchar_t
-::sizeof ushort_t
-::sizeof uint_t
-::sizeof ulong_t
-::sizeof u_longlong_t
-::sizeof ptrdiff_t
-::sizeof signed
-::sizeof unsigned
-::sizeof void
-::sizeof char
-::sizeof short
-::sizeof int
-::sizeof long
-::sizeof _Bool
-::sizeof float
-::sizeof double
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.deftypes32.mdb	Sun Mar  8 05:04:28 2020
@@ -0,0 +1,27 @@
+::typedef -c LP32
+::sizeof int8_t
+::sizeof int16_t
+::sizeof int32_t
+::sizeof int64_t
+::sizeof uint8_t
+::sizeof uint16_t
+::sizeof uint32_t
+::sizeof uint64_t
+::sizeof intptr_t
+::sizeof uintptr_t
+::sizeof uchar_t
+::sizeof ushort_t
+::sizeof uint_t
+::sizeof ulong_t
+::sizeof u_longlong_t
+::sizeof ptrdiff_t
+::sizeof signed
+::sizeof unsigned
+::sizeof void
+::sizeof char
+::sizeof short
+::sizeof int
+::sizeof long
+::sizeof _Bool
+::sizeof float
+::sizeof double
--- old/usr/src/cmd/mdb/test/typedef/tst.deftypes32.mdb.out	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,26 +0,0 @@
-sizeof (int8_t) = 1
-sizeof (int16_t) = 2
-sizeof (int32_t) = 4
-sizeof (int64_t) = 8
-sizeof (uint8_t) = 1
-sizeof (uint16_t) = 2
-sizeof (uint32_t) = 4
-sizeof (uint64_t) = 8
-sizeof (intptr_t) = 4
-sizeof (uintptr_t) = 4
-sizeof (uchar_t) = 1
-sizeof (ushort_t) = 2
-sizeof (uint_t) = 4
-sizeof (ulong_t) = 4
-sizeof (u_longlong_t) = 8
-sizeof (ptrdiff_t) = 4
-sizeof (signed) = 4
-sizeof (unsigned) = 4
-sizeof (void) = 0
-sizeof (char) = 1
-sizeof (short) = 2
-sizeof (int) = 4
-sizeof (long) = 4
-sizeof (_Bool) = 1
-sizeof (float) = 4
-sizeof (double) = 8
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.deftypes32.mdb.out	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,26 @@
+sizeof (int8_t) = 1
+sizeof (int16_t) = 2
+sizeof (int32_t) = 4
+sizeof (int64_t) = 8
+sizeof (uint8_t) = 1
+sizeof (uint16_t) = 2
+sizeof (uint32_t) = 4
+sizeof (uint64_t) = 8
+sizeof (intptr_t) = 4
+sizeof (uintptr_t) = 4
+sizeof (uchar_t) = 1
+sizeof (ushort_t) = 2
+sizeof (uint_t) = 4
+sizeof (ulong_t) = 4
+sizeof (u_longlong_t) = 8
+sizeof (ptrdiff_t) = 4
+sizeof (signed) = 4
+sizeof (unsigned) = 4
+sizeof (void) = 0
+sizeof (char) = 1
+sizeof (short) = 2
+sizeof (int) = 4
+sizeof (long) = 4
+sizeof (_Bool) = 1
+sizeof (float) = 4
+sizeof (double) = 8
--- old/usr/src/cmd/mdb/test/typedef/tst.deftypes64.mdb	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,27 +0,0 @@
-::typedef -c LP64
-::sizeof int8_t
-::sizeof int16_t
-::sizeof int32_t
-::sizeof int64_t
-::sizeof uint8_t
-::sizeof uint16_t
-::sizeof uint32_t
-::sizeof uint64_t
-::sizeof intptr_t
-::sizeof uintptr_t
-::sizeof uchar_t
-::sizeof ushort_t
-::sizeof uint_t
-::sizeof ulong_t
-::sizeof u_longlong_t
-::sizeof ptrdiff_t
-::sizeof signed
-::sizeof unsigned
-::sizeof void
-::sizeof char
-::sizeof short
-::sizeof int
-::sizeof long
-::sizeof _Bool
-::sizeof float
-::sizeof double
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.deftypes64.mdb	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,27 @@
+::typedef -c LP64
+::sizeof int8_t
+::sizeof int16_t
+::sizeof int32_t
+::sizeof int64_t
+::sizeof uint8_t
+::sizeof uint16_t
+::sizeof uint32_t
+::sizeof uint64_t
+::sizeof intptr_t
+::sizeof uintptr_t
+::sizeof uchar_t
+::sizeof ushort_t
+::sizeof uint_t
+::sizeof ulong_t
+::sizeof u_longlong_t
+::sizeof ptrdiff_t
+::sizeof signed
+::sizeof unsigned
+::sizeof void
+::sizeof char
+::sizeof short
+::sizeof int
+::sizeof long
+::sizeof _Bool
+::sizeof float
+::sizeof double
--- old/usr/src/cmd/mdb/test/typedef/tst.deftypes64.mdb.out	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,26 +0,0 @@
-sizeof (int8_t) = 1
-sizeof (int16_t) = 2
-sizeof (int32_t) = 4
-sizeof (int64_t) = 8
-sizeof (uint8_t) = 1
-sizeof (uint16_t) = 2
-sizeof (uint32_t) = 4
-sizeof (uint64_t) = 8
-sizeof (intptr_t) = 8
-sizeof (uintptr_t) = 8
-sizeof (uchar_t) = 1
-sizeof (ushort_t) = 2
-sizeof (uint_t) = 4
-sizeof (ulong_t) = 8
-sizeof (u_longlong_t) = 8
-sizeof (ptrdiff_t) = 8
-sizeof (signed) = 4
-sizeof (unsigned) = 4
-sizeof (void) = 0
-sizeof (char) = 1
-sizeof (short) = 2
-sizeof (int) = 4
-sizeof (long) = 8
-sizeof (_Bool) = 1
-sizeof (float) = 4
-sizeof (double) = 8
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.deftypes64.mdb.out	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,26 @@
+sizeof (int8_t) = 1
+sizeof (int16_t) = 2
+sizeof (int32_t) = 4
+sizeof (int64_t) = 8
+sizeof (uint8_t) = 1
+sizeof (uint16_t) = 2
+sizeof (uint32_t) = 4
+sizeof (uint64_t) = 8
+sizeof (intptr_t) = 8
+sizeof (uintptr_t) = 8
+sizeof (uchar_t) = 1
+sizeof (ushort_t) = 2
+sizeof (uint_t) = 4
+sizeof (ulong_t) = 8
+sizeof (u_longlong_t) = 8
+sizeof (ptrdiff_t) = 8
+sizeof (signed) = 4
+sizeof (unsigned) = 4
+sizeof (void) = 0
+sizeof (char) = 1
+sizeof (short) = 2
+sizeof (int) = 4
+sizeof (long) = 8
+sizeof (_Bool) = 1
+sizeof (float) = 4
+sizeof (double) = 8
--- old/usr/src/cmd/mdb/test/typedef/tst.dellist.mdb	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,3 +0,0 @@
-::typdef -c lp32
-::typedef -d
-::typedef -l
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.dellist.mdb	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,3 @@
+::typdef -c lp32
+::typedef -d
+::typedef -l
--- old/usr/src/cmd/mdb/test/typedef/tst.emptylist.mdb	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,1 +0,0 @@
-::typedef -l
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.emptylist.mdb	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,1 @@
+::typedef -l
--- old/usr/src/cmd/mdb/test/typedef/tst.libctype.ksh	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,6 +0,0 @@
-$MDB /lib/libc.so <<EOF
-::typedef uint8_t rm_t
-::typedef -l
-::print -at rm_t
-::sizeof rm_t
-EOF
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.libctype.ksh	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,6 @@
+$MDB /lib/libc.so <<EOF
+::typedef uint8_t rm_t
+::typedef -l
+::print -at rm_t
+::sizeof rm_t
+EOF
--- old/usr/src/cmd/mdb/test/typedef/tst.libctype.ksh.out	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,4 +0,0 @@
-uint8_t
-rm_t
-0 rm_t 
-sizeof (rm_t) = 1
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.libctype.ksh.out	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,4 @@
+uint8_t
+rm_t
+0 rm_t 
+sizeof (rm_t) = 1
--- old/usr/src/cmd/mdb/test/typedef/tst.models.ksh	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,11 +0,0 @@
-lp64m="lp64 Lp64 LP64 lP64"
-lp32m="lp32 Lp32 LP32 lP32"
-ilp32m="ilp32 ilP32 iLp32 iLP32 Ilp32 IlP32 ILp32 ILP32"
-for m in $lp64m $lp32m $ilp32m; do
-	$MDB -e "::typedef -c $m"
-	if [[ ! $? -eq 0 ]]; then
-		echo "failed to create model $m" 2>&1
-		exit 1
-	fi
-done
-exit 0
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.models.ksh	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,11 @@
+lp64m="lp64 Lp64 LP64 lP64"
+lp32m="lp32 Lp32 LP32 lP32"
+ilp32m="ilp32 ilP32 iLp32 iLP32 Ilp32 IlP32 ILp32 ILP32"
+for m in $lp64m $lp32m $ilp32m; do
+	$MDB -e "::typedef -c $m"
+	if [[ ! $? -eq 0 ]]; then
+		echo "failed to create model $m" 2>&1
+		exit 1
+	fi
+done
+exit 0
--- old/usr/src/cmd/mdb/test/typedef/tst.struct.mdb	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,6 +0,0 @@
-::typedef -c lp32
-::typedef "struct gift { uintptr_t stone[7]; void **white; }" gift_t
-::sizeof gift_t
-::print -at gift_t
-::sizeof struct gift
-::print -at struct gift
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.struct.mdb	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,6 @@
+::typedef -c lp32
+::typedef "struct gift { uintptr_t stone[7]; void **white; }" gift_t
+::sizeof gift_t
+::print -at gift_t
+::sizeof struct gift
+::print -at struct gift
--- old/usr/src/cmd/mdb/test/typedef/tst.struct.mdb.out	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,10 +0,0 @@
-sizeof (gift_t) = 0x28
-0 gift_t {
-    0 uintptr_t [7] stone 
-    20 void **white 
-}
-sizeof (struct gift) = 0x28
-0 struct gift {
-    0 uintptr_t [7] stone 
-    20 void **white 
-}
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.struct.mdb.out	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,10 @@
+sizeof (gift_t) = 0x28
+0 gift_t {
+    0 uintptr_t [7] stone 
+    20 void **white 
+}
+sizeof (struct gift) = 0x28
+0 struct gift {
+    0 uintptr_t [7] stone 
+    20 void **white 
+}
--- old/usr/src/cmd/mdb/test/typedef/tst.structselfref.mdb	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,4 +0,0 @@
-::typedef -c lp32
-::typedef "struct list { struct list *prev; struct list *next; }" list_t
-::sizeof list_t
-::print -at list_t
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.structselfref.mdb	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,4 @@
+::typedef -c lp32
+::typedef "struct list { struct list *prev; struct list *next; }" list_t
+::sizeof list_t
+::print -at list_t
--- old/usr/src/cmd/mdb/test/typedef/tst.structselfref.mdb.out	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,5 +0,0 @@
-sizeof (list_t) = 0x10
-0 list_t {
-    0 struct list *prev 
-    8 struct list *next 
-}
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.structselfref.mdb.out	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,5 @@
+sizeof (list_t) = 0x10
+0 list_t {
+    0 struct list *prev 
+    8 struct list *next 
+}
--- old/usr/src/cmd/mdb/test/typedef/tst.structvla.mdb	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,4 +0,0 @@
-::typedef -c lp32
-::typedef "struct gift { uintptr_t stone[7]; void **white; char owner[]; }" gift_t
-::sizeof gift_t
-::print -at gift_t
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.structvla.mdb	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,4 @@
+::typedef -c lp32
+::typedef "struct gift { uintptr_t stone[7]; void **white; char owner[]; }" gift_t
+::sizeof gift_t
+::print -at gift_t
--- old/usr/src/cmd/mdb/test/typedef/tst.structvla.mdb.out	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,6 +0,0 @@
-sizeof (gift_t) = 0x28
-0 gift_t {
-    0 uintptr_t [7] stone 
-    20 void **white 
-    28 char [0] owner 
-}
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.structvla.mdb.out	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,6 @@
+sizeof (gift_t) = 0x28
+0 gift_t {
+    0 uintptr_t [7] stone 
+    20 void **white 
+    28 char [0] owner 
+}
--- old/usr/src/cmd/mdb/test/typedef/tst.union.mdb	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,6 +0,0 @@
-::typedef -c lp64
-::typedef "union ringbearer { int frodo; char sam; long gandalf; }" ringbearer_t;
-::sizeof ringbearer_t
-::print -at ringbearer_t
-::sizeof union ringbearer
-::print -at union ringbearer
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.union.mdb	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,6 @@
+::typedef -c lp64
+::typedef "union ringbearer { int frodo; char sam; long gandalf; }" ringbearer_t;
+::sizeof ringbearer_t
+::print -at ringbearer_t
+::sizeof union ringbearer
+::print -at union ringbearer
--- old/usr/src/cmd/mdb/test/typedef/tst.union.mdb.out	Sun Mar  8 05:04:29 2020
+++ /dev/null	Sun Mar  8 05:04:25 2020
@@ -1,12 +0,0 @@
-sizeof (ringbearer_t) = 8
-0 ringbearer_t {
-    0 int frodo 
-    0 char sam 
-    0 long gandalf 
-}
-sizeof (union ringbearer) = 8
-0 union ringbearer {
-    0 int frodo 
-    0 char sam 
-    0 long gandalf 
-}
--- /dev/null	Sun Mar  8 05:04:25 2020
+++ new/usr/src/test/util-tests/tests/mdb/typedef/tst.union.mdb.out	Sun Mar  8 05:04:29 2020
@@ -0,0 +1,12 @@
+sizeof (ringbearer_t) = 8
+0 ringbearer_t {
+    0 int frodo 
+    0 char sam 
+    0 long gandalf 
+}
+sizeof (union ringbearer) = 8
+0 union ringbearer {
+    0 int frodo 
+    0 char sam 
+    0 long gandalf 
+}
--- old/usr/src/tools/findunref/exception_list.open	Sun Mar  8 05:04:29 2020
+++ new/usr/src/tools/findunref/exception_list.open	Sun Mar  8 05:04:29 2020
@@ -23,6 +23,7 @@
 #
 # Copyright (c) 2001, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
+# Copyright 2020 Joyent, Inc.
 #
 #
 # open-tree exception list
@@ -239,4 +240,3 @@
 # ld tests which are not currently delivered
 #
 ./usr/src/cmd/sgs/test
-./usr/src/cmd/mdb/test
